mysqli::$info
mysqli::$insert_id
mysqli
PHP Manual

# mysqli::init

# mysqli_init

Initializes MySQLi and returns a resource for use with mysqli_real_connect()

### Description

Object oriented style

mysqli mysqli::init ( void )

Procedural style

mysqli mysqli_init ( void )

Allocates or initializes a MYSQL object suitable for mysqli_options and mysqli_real_connect.

> Note:

> Any subsequent calls to any mysqli function (except mysqli_options) will fail until mysqli_real_connect was called.

### Return Values

Returns an object.

### Examples

See mysqli_real_connect.

### See Also

- mysqli_options
- mysqli_close
- mysqli_real_connect
- mysqli_connect